<div id="category">
  <div class="mt-4" v-if="isUploadImage">
    <v-card
      class="ui-card pa-4 pos-relative d-flex align-center justify-center"
      id="card-gallery"
      @change="onChangeImage"
      @dragover="dragover"
      @dragleave="dragleave"
      @drop="drop"
    >
      <div
        id="button-close-upload-image"
        class="lightBackgroundSecondary d-flex align-center justify-center pa-1 c-pointer"
        @click="openDialogCloseUploadImage()"
      >
        <v-icon color="#242A2E"> mdi-close </v-icon>
      </div>
      <div>
        <p class="mb-0 fsize-14-600 lightContentPrimary text-center">
          Drag Image here to upload
        </p>
        <p class="my-1 fsize-12 lightContentPrimary text-center">Or</p>
        <div class="d-flex justify-center">
          <v-btn color="#076CE3" outlined @click="onSelectImage()">
            <p class="mb-0 lightContentBlue fsize-15">Upload Photo</p>
          </v-btn>
          <v-file-input
            v-model="gallery.file"
            class="d-none"
            ref="fileImage"
            accept="image/*"
            label="File input"
            multiple
            @change="onChangeImage"
          >
          </v-file-input>
        </div>
      </div>
    </v-card>
  </div>
  <div class="mt-4">
    <v-card class="ui-card" height="630">
      <v-row no-gutters>
        <v-col
          cols="12"
          @dragover="dragover"
          @dragleave="dragleave"
          @drop="drop"
        >
          <div class="py-2 px-3" v-if="isShowUploadPhoto">
            <div id="hideBottomInput" class="d-flex justify-end">
              <v-btn
                color="#076CE3"
                class="elevation-0"
                height="40px"
                @click="onSelectImage()"
              >
                <div class="d-flex align-center">
                  <v-icon color="#ffffff"> mdi-image-plus </v-icon>
                  <p class="mb-0 white--text fsize-15 ml-2 text-capitalize">
                    Upload Photo
                  </p>
                </div>
              </v-btn>
              <v-file-input
                v-model="gallery.file"
                class="d-none"
                ref="fileImage"
                accept="image/*"
                label="File input"
                multiple
                @change="onChangeImage"
              >
              </v-file-input>
            </div>
          </div>
          <div>
            <v-skeleton-loader
              class="mx-auto mt-4"
              width="100%"
              style="height: 518px"
              type="card"
              v-if="loadingTableGallery"
            >
            </v-skeleton-loader>
            <div v-else style="min-height: 518px">
              <v-row
                no-gutters
                :id="isShowUploadPhoto ? 'media-image-collection' : 'media-image'"
              >
                <v-col cols="12" sm="2" class="pa-3" v-if="progressUploadImage">
                  <div
                    class="rounded lightBackgroundPlaceholder fwidth d-flex align-center justify-center px-4"
                    style="height: 160px"
                  >
                    <v-progress-linear
                      :value="progressUploadImage"
                      class="rounded"
                    ></v-progress-linear>
                  </div>
                </v-col>
                <v-col
                  cols="12"
                  sm="2"
                  v-for="(gallery,i) in listGallery"
                  :key="i"
                  class="pa-3 pos-relative c-pointer"
                  @click="selectedImage(gallery)"
                >
                  <div
                    class="rounded lightBackgroundPlaceholder fwidth"
                    style="height: 135px"
                    v-if="gallery.imageUrl"
                  >
                    <img
                      class="rounded"
                      :src="convertImage(gallery.imageUrl)"
                      alt=""
                      style="height: 135px !important; width: 100%"
                      :class="imageId === gallery._id ? 'imageSelected' : ''"
                    />
                  </div>
                  <div
                    :class="showImageChosen(gallery) ? 'media-image__selected' : ''"
                    v-if="showImageChosen(gallery)"
                  >
                    <div class="icon-active d-flex align-center justify-center">
                      <v-icon color="#076CE3" size="30px">
                        mdi-checkbox-marked-circle
                      </v-icon>
                    </div>
                  </div>
                </v-col>
              </v-row>
            </div>
            <v-divider></v-divider>
            <div
              class="d-flex align-center justify-space-between px-4"
              style="height: 76px"
            >
              <div>
                <div class="d-flex align-center" v-if="isSelectMultipleImage">
                  <p class="mb-0 fsize-14 lightContentPrimary">
                    {{listCoverId.length}}
                    <span class="lightContentSecondary"> Item(s) chosen </span>
                  </p>
                  <!-- <div class="mx-2">
                    <v-btn
                      color="#DBE0E5"
                      class="elevation-0"
                      @click="selecAllImage()"
                    >
                      <div class="d-flex align-center">
                        <v-icon color="#242A2E">
                          mdi-checkbox-multiple-marked-outline
                        </v-icon>
                        <p class="mb-0 ml-2 fsize-13 lightContentPrimary">
                          Sellect All
                        </p>
                      </div>
                    </v-btn>
                  </div>
                  <div>
                    <v-btn
                      color="#DBE0E5"
                      class="elevation-0"
                      @click="deSelectAllImage()"
                    >
                      <div class="d-flex align-center">
                        <v-icon color="#242A2E">
                          mdi-checkbox-blank-off-outline
                        </v-icon>
                        <p class="mb-0 ml-2 fsize-13 lightContentPrimary">
                          Deselect All
                        </p>
                      </div>
                    </v-btn>
                  </div> -->
                </div>
              </div>
              <div>
                <!-- <v-btn
                  color="#EB5757"
                  class="elevation-0 mr-3"
                  @click="openDialogDeleteGallery()"
                  v-if="coverId"
                  :disabled="loading"
                >
                  <v-progress-circular
                    indeterminate
                    color="#EB5757"
                    v-if="loading"
                    size="22"
                  >
                  </v-progress-circular>
                  <p class="mb-0 fsize-16 white--text text-capitalize" v-else>
                    Delete Photo
                  </p>
                </v-btn> -->
                <v-btn
                  color="#EB5757"
                  class="elevation-0 mr-3"
                  @click="openDialogDeleteGalleryMultiple()"
                  :disabled="loading"
                  v-if="listCoverId.length"
                >
                  <v-progress-circular
                    indeterminate
                    color="#EB5757"
                    v-if="loading"
                    size="22"
                  >
                  </v-progress-circular>
                  <p
                    v-if="listCoverId.length === 1"
                    class="mb-0 fsize-16 white--text text-capitalize"
                    v-else
                  >
                    Delete Photo
                  </p>
                  <p
                    v-if="listCoverId.length > 1"
                    class="mb-0 fsize-16 white--text text-capitalize"
                    v-else
                  >
                    Delete Photos
                  </p>
                </v-btn>
                <v-btn
                  color="#076CE3"
                  class="elevation-0"
                  @click="onHandleSelectedImage()"
                  v-if="!isGallery"
                >
                  <p class="mb-0 fsize-16 white--text text-capitalize">
                    {{ listCoverId.length > 1 ? 'Choose Photos' : 'Choose photo'
                    }}
                  </p>
                </v-btn>
              </div>
            </div>
          </div>
        </v-col>
      </v-row>
    </v-card>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogCreateTag" max-width="320">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">New Tag</p>
          <v-btn color="#949494" @click="dialogCreateTag = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput">
            <v-text-field
              dense
              outlined
              v-model="nameTag"
              placeholder="Enter tag name"
            >
            </v-text-field>
          </div>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn
            text
            width="49%"
            @click="dialogCreateTag = false"
            :disabled="loadingHandler"
          >
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#076CE3"
            class="elevation-0"
            width="49%"
            @click="onCreateTag()"
            :disabled="loadingHandler"
          >
            <v-progress-circular
              v-if="loadingHandler"
              size="18"
              indeterminate
              color="#fff"
            >
            </v-progress-circular>
            <p class="mb-0 fsize-16 font-weight-bold white--text" v-else>
              Create
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogRenameTag" max-width="320">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Rename Tag</p>
          <v-btn color="#949494" @click="dialogRenameTag = false" icon small>
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput">
            <v-text-field
              dense
              outlined
              v-model="nameTag"
              placeholder="Enter tag name"
            >
            </v-text-field>
          </div>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogRenameTag = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#076CE3"
            class="elevation-0"
            width="49%"
            @click="onUpdateTag()"
          >
            <p class="mb-0 fsize-16 font-weight-bold white--text">Save</p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteImage" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56"> mdi-delete-forever </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Photo
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete this photo?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn
            text
            width="49%"
            @click="dialogDeleteImage = false"
            :disabled="loading"
          >
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#FF5252"
            class="elevation-0"
            width="49%"
            @click="onHandleDeleteGallery()"
            :disabled="loading"
          >
            <v-progress-circular
              indeterminate
              color="#FF5252"
              v-if="loading"
              size="22"
            >
            </v-progress-circular>
            <p class="mb-0 fsize-16 font-weight-bold white--text" v-else>
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
